<?php
session_start();

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $no_pilih = $_POST['no_pilih'];
    $password = $_POST['password'];

    $pemilih_data = json_decode(file_get_contents('../data/pemilih.json'), true);

    $user_found = false;
    foreach ($pemilih_data as &$pemilih) {
        if ($pemilih['no_pilih'] == $no_pilih && $pemilih['password'] == $password) {
            if ($pemilih['sudah_memilih'] == false) {
                $_SESSION['no_pilih'] = $no_pilih;
                header('Location: ../public/vote.php');
                exit;
            } else {
                // Alihkan ke halaman sukses dengan parameter status
                header('Location: ../public/sukses.php?status=already_voted');
                exit;
            }
            $user_found = true;
            break;
        }
    }

    if (!$user_found) {
        echo "no_pilih atau password salah.";
    }
}
